#
# spec file for package tosh_ut (Version 1.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         tosh_ut
Release:      0
Copyright:    GPL
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      Toshiba Linux Utilities
Version:      1.0
Source0:     http://www2.prestel.co.uk/hex/fan-3.0.tar.gz
Source1:     http://www2.prestel.co.uk/hex/hotkey-1.1.tar.gz
Source2:     http://www2.prestel.co.uk/hex/svpw-1.0.tar.gz
URL:         http://www2.prestel.co.uk/hex/
#Patch:      
BuildRoot:  /var/tmp/tosh_ut
%description
Toshiba Linux Utilities.
Here you'll find current information:
http://www2.prestel.co.uk/hex/toshiba.html 

Authors:
--------
    Jonathan Buzzard <jab@hex.prestel.co.uk>

%prep
%setup -c -n $RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION
%setup -a 1 -T -D
%setup -a 2 -T -D
# %patch
# ./configure --prefix=$RPM_BUILD_ROOT/usr
# xmkmf -a
%build
cd fan-3.0
make # "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s
ln -s README README.fan
ln -s COPYING COPYING.fan
cd ../hotkey-1.1
make # "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s
ln -s README README.hotkey
ln -s COPYING COPYING.hotkey
cd ../svpw-1.0
make
ln -s README README.svpw
ln -s COPYING COPYING.svpw
%install
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/{bin,man/man1}
cd fan-3.0
make install DESTDIR=$RPM_BUILD_ROOT/usr
cd ../hotkey-1.1
make install DESTDIR=$RPM_BUILD_ROOT/usr
cd ../svpw-1.0
make install DESTDIR=$RPM_BUILD_ROOT/usr
# make install.man
/usr/sbin/Check
# %clean
# rm -fr $RPM_BUILD_ROOT
%files
%doc fan-3.0/README.fan fan-3.0/COPYING.fan fan-3.0/fan.logs fan-3.0/fan.tech
%doc hotkey-1.1/README.hotkey hotkey-1.1/COPYING.hotkey hotkey-1.1/hotkey.tech
%doc svpw-1.0/README.svpw svpw-1.0/COPYING.svpw svpw-1.0/svpw.tech
/usr/bin/fan
/usr/bin/hotkey
/usr/bin/svpw
/usr/man/man1/svpw.1.gz
/usr/man/man1/fan.1.gz
/usr/man/man1/hotkey.1x.gz

